"use strict";
this.name = "dfl_imperial_astrofactory";
this.author = "Spara";
this.copyright = "2013 Mika Spåra";
this.licence     = "CC BY-NC-SA 3.0";
this.description = "Add astrofactory to dictatorship systems";
this.version = "2.1";

this.startUp = function() {
	if (worldScripts["dictators.js"]) {
		delete this.systemWillPopulate;
	}
}

this.systemWillPopulate = function() {
	if (system.government === 3 && system.economy < 3 && system.countShipsWithRole("astrofactory") === 0) {
		if (worldScripts.station_validator && (worldScripts.station_validator.$deaths("astrofactory").length !== 0)) return;
		system.addShipsToRoute("astrofactory", 1, 0.3 , "wp");
		system.addShipsToRoute("asteroid", 30, 0.3 , "wp");
	}
}
